# (akien) The Vulkan SDK requires some care when updating.
# Check instructions in the vulkan-headers spec file.

# (akien) No soname upstream, using 1 for now like other SDK components.
# Without proper soname, the devel package would not generate the
# devel() provides that RPM relies on to pull in the proper deps
# in reverse dependencies.
%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%define uname   Vulkan-ValidationLayers

Name:           vulkan-validation-layers
Version:        1.3.296.0
Release:        %mkrel 1
Summary:        Vulkan validation layers
Group:          System/Libraries
License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        https://github.com/KhronosGroup/Vulkan-ValidationLayers/archive/vulkan-sdk-%{version}/%{uname}-sdk-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  glslang-devel
BuildRequires:  cmake(VulkanUtilityLibraries)
BuildRequires:  pkgconfig(SPIRV-Tools)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  python3

%description
This project provides the Khronos official Vulkan validation layers for
Windows, Linux, Android, and MacOS.

%prep
%autosetup -p1 -n %{uname}-vulkan-sdk-%{version}

%build
%cmake \
    -GNinja \
    -DBUILD_LAYER_SUPPORT_FILES=ON \
    -DGLSLANG_INSTALL_DIR=%{_bindir} \
    -DSPIRV_HEADERS_INSTALL_DIR=%{_prefix} \
    -DVULKAN_HEADERS_INSTALL_DIR=%{_prefix} \
    -DUSE_ROBIN_HOOD_HASHING=OFF
# (akien) robin_hood disabled because not packaged yet.
%cmake_build

%install
%cmake_install

%files
%doc README.md CONTRIBUTING.md
%license LICENSE.txt
%{_datadir}/vulkan/explicit_layer.d/VkLayer_*.json
%{_libdir}/libVkLayer_*.so


%changelog
* Fri Nov 15 2024 daviddavid <daviddavid> 1.3.296.0-1.mga10
+ Revision: 2116038
- update to 1.3.296.0 SDK

* Wed Aug 21 2024 daviddavid <daviddavid> 1.3.290.0-2.mga10
+ Revision: 2087324
- rebuild for arm

* Wed Aug 21 2024 daviddavid <daviddavid> 1.3.290.0-1.mga10
+ Revision: 2087232
- update to 1.3.290.0 SDK

* Mon Nov 14 2022 akien <akien> 1.3.231.1-1.mga9
+ Revision: 1907227
- Vulkan SDK 1.3.231.1

* Fri Mar 25 2022 akien <akien> 1.3.204.1-2.mga9
+ Revision: 1825819
- Add name-devel provides for devel package

* Mon Mar 07 2022 akien <akien> 1.3.204.1-1.mga9
+ Revision: 1789593
- Vulkan SDK 1.3.204.1

* Fri Jan 01 2021 akien <akien> 1.2.162.0-1.mga8
+ Revision: 1667605
- Version 1.2.162.0

* Mon Oct 12 2020 akien <akien> 1.2.154.0-1.mga8
+ Revision: 1633980
- SDK 1.2.154.0

* Mon Feb 17 2020 akien <akien> 1.2.131.2-1.mga8
+ Revision: 1536931
- SDK 1.2.131.2

* Sat Feb 15 2020 umeabot <umeabot> 1.1.121.0-2.mga8
+ Revision: 1525525
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
+ akien <akien>
- SDK 1.1.121.0

* Thu Apr 18 2019 akien <akien> 1.1.106.0-1.mga7
+ Revision: 1393162
- SDK 1.1.106.0

* Wed Mar 27 2019 akien <akien> 1.1.101.0-1.mga7
+ Revision: 1380688
- SDK 1.1.101.0

* Tue Dec 11 2018 akien <akien> 1.1.92.0-3.mga7
+ Revision: 1340236
- Rebuild to pick updated spirv-tools on armv7hl

* Tue Dec 11 2018 akien <akien> 1.1.92.0-2.mga7
+ Revision: 1340210
- Properly libify with defined soname (major 0 for now)

* Mon Dec 10 2018 akien <akien> 1.1.92.0-1.mga7
+ Revision: 1340078
- Adapt to Mageia
- Version 1.1.92.0
- import vulkan-validation-layers from Fedora Rawhide


* Tue Aug 07 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.82.0-1
- Update to 1.1.82.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.77.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-3
- Workaround i686 build issue

* Tue Jun 26 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-2
- Exclude i686 due to 'virtual memory exhausted' FTBFS

* Sat Jun 23 2018 Leigh Scott <leigh123linux@googlemail.com> - 1.1.77.0-1
- Initial package
